package cmd

import (
	"io"
	"text/template"

	"go.fifitido.net/cmd/opt"
)

func WriteFishCompletions(out io.Writer, rootCmd *Command) error {
	return fishTpl.Execute(out, map[string]any{
		"rootCmd":    rootCmd,
		"globalOpts": opt.Globals(),
	})
}

var fishTpl = template.Must(template.New("fish").Parse(`

`))
